#
View Source Vtc.Source.Frames.FeetAndFrames (vtc v0.13.15)

Holds Feet+Frames information.

##

fields

Fields

- `feet`: The amount of film in Feet that would run through the camera in a given amount of time.
- `feet`: The number of frames left over after `feet` of film has run.
- `film_format`: The type of film this value represents. Default: `:ff35mm_4perf`.

##

string-conversion

String Conversion

FeetAndFrames can be converted into a string through the `String.Chars.to_string/1` function.

##

examples

Examples

    iex> alias Vtc.Source.Frames.FeetAndFrames
    iex>
    iex> String.Chars.to_string(%FeetAndFrames{feet: 10, frames: 4})
    "10+04"

# Link to this section Summary

## Types

t()

Contains only a single field for wrapping the underlying string.

## Functions

from_string(ff_string, opts \\ [])

Parses a `FeetAndFrames` value from a string.

from_string!(ff_string, opts \\ [])

Parses a `FeetAndFrames` value from a string.

# Link to this section Types

Link to this type

# t()

View Source

    @type t() :: %Vtc.Source.Frames.FeetAndFrames{
      feet: integer(),
      film_format: Vtc.FilmFormat.t(),
      frames: integer()
    }

Contains only a single field for wrapping the underlying string.

# Link to this section Functions

Link to this function

# from_string(ff_string, opts \\ [])

View Source

    @spec from_string(String.t(), [{:film_format, Vtc.FilmFormat.t()}]) ::
      {:ok, t()} | {:error, Vtc.Framestamp.ParseError.t()}

Parses a `FeetAndFrames` value from a string.

Link to this function

# from_string!(ff_string, opts \\ [])

View Source

    @spec from_string!(String.t(), [{:film_format, Vtc.FilmFormat.t()}]) :: t()

Parses a `FeetAndFrames` value from a string.